﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        table
        {
            border: 1px solid #ccc;
            border-collapse: collapse;
        }
        table th, table td
        {
            padding: 5px;
        }
        table, table table td
        {
            border: 0px solid #ccc;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td>To:</td>
            <td><asp:TextBox ID="txtTo" runat="server" /></td>
        </tr>
        <tr>
            <td>Subject:</td>
            <td><asp:TextBox ID="txtSubject" runat="server" /></td>
        </tr>
        <tr>
            <td valign = "top">Body:</td>
            <td><asp:TextBox ID="txtBody" runat="server" TextMode="MultiLine" Height="150" Width="200" /></td>
        </tr>
        <tr>
            <td></td>
            <td><asp:Button ID="btnSend" Text="Send" runat="server" /></td>
        </tr>
    </table>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
    <script type="text/javascript">
        $(function () {
            $("[id*=btnSend]").click(function () {
                var toEmail = $.trim($("[id*=txtTo]").val());
                var subject = $.trim($("[id*=txtSubject]").val());
                var body = $.trim($("[id*=txtBody]").val());
                $.ajax({
                    type: "POST",
                    url: "ServiceVB.asmx/SendEmail",
                    data: "{ toEmail: '" + toEmail + "', subject: '" + subject + "', body: '" + body + "' }",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (r) {
                        alert(r.d);
                    },
                    error: function (r) {
                        alert(r.responseText);
                    },
                    failure: function (r) {
                        alert(r.responseText);
                    }
                });
                return false;
            });
        });
    </script>
    </form>
</body>
</html>
